Upstream information

CVE-2019-11556 at MITRE

Description

Pagure before 5.6 allows XSS via the templates/blame.html blame view.

SUSE information

Overall state of this security issue: Does not affect SUSE products

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database
Base Score 6.1
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Changed
Confidentiality Impact Low
Integrity Impact Low
Availability Impact None
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1176987 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Package Hub for SUSE Linux Enterprise 15 SP1
  • pagure >= 5.5-bp151.2.3.1
  • pagure-ci >= 5.5-bp151.2.3.1
  • pagure-ev >= 5.5-bp151.2.3.1
  • pagure-loadjson >= 5.5-bp151.2.3.1
  • pagure-logcom >= 5.5-bp151.2.3.1
  • pagure-milters >= 5.5-bp151.2.3.1
  • pagure-mirror >= 5.5-bp151.2.3.1
  • pagure-theme-chameleon >= 5.5-bp151.2.3.1
  • pagure-theme-default-openSUSE >= 5.5-bp151.2.3.1
  • pagure-theme-default-upstream >= 5.5-bp151.2.3.1
  • pagure-theme-pagureio >= 5.5-bp151.2.3.1
  • pagure-theme-srcfpo >= 5.5-bp151.2.3.1
  • pagure-theme-upstream >= 5.5-bp151.2.3.1
  • pagure-webhook >= 5.5-bp151.2.3.1
Patchnames:
openSUSE-2020-1810
openSUSE Leap 15.1
  • pagure >= 5.5-lp151.2.3.1
  • pagure-ci >= 5.5-lp151.2.3.1
  • pagure-ev >= 5.5-lp151.2.3.1
  • pagure-loadjson >= 5.5-lp151.2.3.1
  • pagure-logcom >= 5.5-lp151.2.3.1
  • pagure-milters >= 5.5-lp151.2.3.1
  • pagure-mirror >= 5.5-lp151.2.3.1
  • pagure-theme-chameleon >= 5.5-lp151.2.3.1
  • pagure-theme-default-openSUSE >= 5.5-lp151.2.3.1
  • pagure-theme-default-upstream >= 5.5-lp151.2.3.1
  • pagure-theme-pagureio >= 5.5-lp151.2.3.1
  • pagure-theme-srcfpo >= 5.5-lp151.2.3.1
  • pagure-theme-upstream >= 5.5-lp151.2.3.1
  • pagure-webhook >= 5.5-lp151.2.3.1
Patchnames:
openSUSE-2020-1765